Bug 89819 - WebGL Conformance swrast failure in conformance/uniforms/uniform-default-values.html
Summary: WebGL Conformance swrast failure in conformance/uniforms/uniform-default-valu...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-30 00:56 UTC by Luke
Modified: 2015-06-16 20:17 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-03-30 00:56:09 UTC
The swrast renderer requires DRAW_USE_LLVM=false to pass the OGLES 2.0 Uniform Default Values test.

Steps to reproduce:
1. set LIBGL_ALWAYS_SOFTWARE=1
2. visit https://www.khronos.org/registry/webgl/sdk/tests/conformance/uniforms/uniform-default-values.html?webglVersion=1
3. set DRAW_USE_LLVM=false 
4. https://www.khronos.org/registry/webgl/sdk/tests/conformance/uniforms/uniform-default-values.html?webglVersion=1


llvmpipe results:
testing: samplerCube
fragment shaderFAIL Error in program linking:null
FAIL uniform is not zero
default value should be zero
FAIL at (0, 0) expected: 0,255,0,255 was 0,0,0,0
test test by setting value
FAIL at (0, 0) expected: 255,0,0,255 was 0,0,0,0
re-linking should reset to defaults
FAIL at (0, 0) expected: 0,255,0,255 was 0,0,0,0
FAIL getError expected: NO_ERROR. Was CONTEXT_LOST_WEBGL : should be no GL errors
...

See Bug 78875  for the i965
Comment 1 Luke 2015-06-04 04:33:48 UTC
Added Roland as he's been fixing up llvmpipe recently.
Comment 2 Roland Scheidegger 2015-06-04 12:28:12 UTC
wrong bogus default uniform value doesn't sound like something which could be done anything about in the driver.
That said, I tested this with llvmpipe and it seemed to work (I did see a crash though when loading that page but it didn't seem related, I'll fix that).
Comment 4 Luke 2015-06-07 04:47:18 UTC
> I did see a crash though when loading that page but it didn't seem related

Roland,
I just retested and only google-chrome is giving the results above. Firefox is crashing like you reported. To test with chrome:
chrome://flags/ -> Override software rendering list -> Enable
Comment 5 Roland Scheidegger 2015-06-08 23:57:38 UTC
FWIW I've fixed the crash.
I don't see any failures anymore with neither chromium nor firefox in that test now.
Comment 6 Luke 2015-06-15 18:47:23 UTC
Roland,
Did I miss the commit or is your fix still in the process of being reviewed? I'd be glad to help test out your patch.
Comment 7 Roland Scheidegger 2015-06-15 18:54:54 UTC
(In reply to Luke from comment #6)
> Roland,
> Did I miss the commit or is your fix still in the process of being reviewed?
> I'd be glad to help test out your patch.

The crash fix was 6e5970ffee0129fb94d8b7f0ebd4fac3992e7dce.
Comment 8 Luke 2015-06-16 20:17:26 UTC
Verified fixed by 6e5970ffee0129fb94d8b7f0ebd4fac3992e7dce in both Firefox and Chrome.

Great detective work Roland. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.